commit f70e40b11b04472985357b2491e408130333942e
parent 9b0da3a2477ac90a53677a0416ea0aba37330d9f
Author: Anders Damsgaard <anders@adamsgaard.dk>
Date: Thu, 6 Jun 2019 11:37:41 +0200
Move x configuration into .xprofile, move calcurse
Diffstat:
8 files changed, 56 insertions(+), 110 deletions(-)
diff --git a/.Xresources b/.Xresources
@@ -5,8 +5,8 @@ Xcursor.size: 16
! terminal colors ------------------------------------------------------------
! see https://ciembor.github.io/4bit
-*.foreground: #4d4d4c
-*.background: #ffffff
+*.foreground: #c5c8c6
+*.background: #1d1f21
/* black */
*color0: #434944
diff --git a/.calcurse/conf b/.config/calcurse/conf
diff --git a/.calcurse/keys b/.config/calcurse/keys
diff --git a/.local/bin/contactmenu b/.local/bin/contactmenu
@@ -3,7 +3,7 @@ set -e
shopt -s nullglob globstar
-contact_files=~/.mutt/aliases
+contact_files=~/.config/mutt/aliases
contact=$(cat "${contact_files[@]}" | awk '{ print $2 }'| dmenu_themed -i "$@")
[[ -n $contact ]] || exit 0
diff --git a/.profile b/.profile
@@ -5,6 +5,7 @@ export LC_ALL=en_US.UTF-8
export LANG=en_US.UTF-8
export MAILDIR="$HOME/mail"
export TERMINAL=st
+export FILE=nnn
export BROWSER=surf-open.sh
export BIB="$HOME/articles/own/BIBnew.bib"
@@ -19,7 +20,6 @@ export NNN_NOTE="$HOME/doc/todo.md"
# shellcheck source=/dev/null
[ -f ~/.secret_env_vars ] && . ~/.secret_env_vars
-
#### PATH AND MACHINE SPECIFIC CONFIGS
[ -d /usr/local/bin ] && export PATH=/usr/local/bin:$PATH
diff --git a/.xbindkeysrc b/.xbindkeysrc
@@ -1,57 +0,0 @@
-"xbacklight -dec 10"
- XF86MonBrightnessDown
-
-"xbacklight -inc 10"
- XF86MonBrightnessUp
-
-"/home/ad/bin/display-switcher.sh"
- XF86LaunchA
-
-"/home/ad/bin/display-ext.sh"
- XF86LaunchB
-
-"/home/ad/bin/kbd_backlight.sh down"
- XF86KbdBrightnessDown
-
-"/home/ad/bin/kbd_backlight.sh up"
- XF86KbdBrightnessUp
-
-#"mpc prev"
-# XF86AudioPrev
-
-#"mpc toggle"
-# XF86AudioPlay
-
-#"mpc next"
-# XF86AudioNext
-
-#"keyboard-layout-switch.sh"
-# Mod1+Mod4 + l
-
-#"amixer set Master toggle"
-# XF86AudioMute
-
-#"amixer set Master 5%-"
-# XF86AudioLowerVolume
-
-#"amixer set Master 5%+"
-# XF86AudioRaiseVolume
-
-## Mouse Buttons
-#"xvkbd -xsendevent -text "\[XF86Back]""
-#m:0x0 + b:11
-
-#"xvkbd -xsendevent -text "\[XF86Forward]""
-#m:0x0 + b:10
-
-#"mpc next && pkill -RTMIN+14 i3blocks"
-# control+shift + n
-
-#"mpc prev && pkill -RTMIN+14 i3blocks"
-# control+shift + b
-
-#"mpc toggle && pkill -RTMIN+14 i3blocks"
-# control+shift + p
-
-#"mpc stop && pkill -RTMIN+14 i3blocks"
-# control+shift + s
diff --git a/.xinitrc b/.xinitrc
@@ -1,53 +1,9 @@
#!/bin/sh
-# Set normal cursor
-xsetroot -cursor_name left_ptr &
-
-# Set background
-wallpaper
-
-# Set display color profile
-#[ -f ~/doc/colorprofile.icc ] && xcalib ~/doc/colorprofile.icc
-
-# X settings
-xrdb ~/.Xresources
-
-# Start auth deamons
-eval "$(ssh-agent)"
-eval "$(gpg-agent)"
-
-# Automatically suspend system after 20 mins of inactivity
-xautolock -time 10 -locker xlock -detectsleep &
-
-# Read .Xmodmap for modified keys
-setxkbmap -option ctrl:nocaps -option altwin:swap_lalt_lwin
-#xmodmap ~/.Xmodmap
-
-# Read .xbindkeysrc for special key-bindings
-xbindkeys
-
-if [ "$(hostname)" != "phony" ]; then
- kelvin_day=6500 # default: 6500 K
- kelvin_night=2300 # default: 4500 K
- lat=56.09;lon=10.12 # Aarhus
- #lat=37.25;lon=-122.9 # Stanford
- #lat=32.84;lon=-117.26 # San Diego
- redshift -l $lat:$lon -t $kelvin_day:$kelvin_night &
-fi
-
-xset -b # Disable beeps
-xset +dpms # Energy Star features on
-xset dpms 300 600 900 # standby -> suspend -> off (seconds)
-xset m 1/4 0 # mouse acceleration (xset m <acceleration> <threshold>)
-xset r rate 300 50 # key repeat rate ([delay in ms] [repeats per sec])
-
-# auto-start programs
-unclutter &
-dunst &
-compton &
-calcurse_reminders.py 15 &
-dwmstatus &
-keynav &
+# shellcheck source=/dev/null
+[ -f ~/.xprofile ] && . ~/.xprofile
# if changing WM, remember to change WM name in crontab
-exec dwm
+while :; do
+ exec dwm || break
+done
diff --git a/.xprofile b/.xprofile
@@ -0,0 +1,47 @@
+#!/bin/sh
+
+# Set normal cursor
+xsetroot -cursor_name left_ptr &
+
+# Set background
+wallpaper
+
+# Set display color profile
+#[ -f ~/doc/colorprofile.icc ] && xcalib ~/doc/colorprofile.icc
+
+# X settings
+xrdb ~/.Xresources
+
+# Start auth deamons
+eval "$(ssh-agent)"
+eval "$(gpg-agent)"
+
+# Automatically suspend system after 20 mins of inactivity
+xautolock -time 10 -locker xlock -detectsleep &
+
+# Read .Xmodmap for modified keys
+setxkbmap -option ctrl:nocaps -option altwin:swap_lalt_lwin
+
+if [ "$(hostname)" != "phony" ]; then
+ kelvin_day=6500 # default: 6500 K
+ kelvin_night=2300 # default: 4500 K
+ lat=56.09;lon=10.12 # Aarhus
+ #lat=37.25;lon=-122.9 # Stanford
+ #lat=32.84;lon=-117.26 # San Diego
+ redshift -l $lat:$lon -t $kelvin_day:$kelvin_night &
+fi
+
+xset -b # Disable beeps
+xset +dpms # Energy Star features on
+xset dpms 300 600 900 # standby -> suspend -> off (seconds)
+xset m 1/4 0 # mouse acceleration (xset m <acceleration> <threshold>)
+xset r rate 300 50 # key repeat rate ([delay in ms] [repeats per sec])
+
+# auto-start programs
+sxhkd &
+unclutter &
+dunst &
+compton &
+calcurse_reminders.py 15 &
+dwmstatus &
+keynav &